Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Attribute Class Reference

ACEXML_Attribute defines the data structure of an attribute. More...

`#include "ACEXML/common/AttributesImpl.h"`

List of all members.

## Public Methods
| ACEXML_Attribute (void)
| Default constructor. More...
| ACEXML_Attribute (const ACEXML_Attribute &attr)
| Copy constructor. More...
| ACEXML_Attribute (const ACEXML_Char *uri, const ACEXML_Char *localName, const ACEXML_Char *qName, const ACEXML_Char *type, const ACEXML_Char *value)
| Initialize all constructor. More...
| ~ACEXML_Attribute (void)
| Destructor. More...
void | setAttribute (const ACEXML_Char *uri, const ACEXML_Char *localName, const ACEXML_Char *qName, const ACEXML_Char *type, const ACEXML_Char *value)
| Set all members. More...
const ACEXML_Char * | uri (void) const
| Set uri_. More...
void | uri (const ACEXML_Char *uri)
| Get uri_. More...
const ACEXML_Char * | localName (void) const
| Set localName_. More...
void | localName (const ACEXML_Char *localName)
| Get localName_. More...
const ACEXML_Char * | qName (void) const
| Set qName_. More...
void | qName (const ACEXML_Char *qName)
| Get qName_. More...
const ACEXML_Char * | type (void) const
| Set type_. More...
void | type (const ACEXML_Char *type)
| Get type_. More...
const ACEXML_Char * | value (void) const
| Set value_. More...
void | value (const ACEXML_Char *value)
| Get value_. More...
ACEXML_Attribute & | operator= (const ACEXML_Attribute &rhs)
| Assignment operator. More...
int | operator!= (const ACEXML_Attribute &rhs) const
| Comparison operator. More...
## Private Attributes
ACEXML_Char * | uri_
| @var uri_ Namespace URI of an attribute. More...
ACEXML_Char * | localName_
| @var localName_. More...
ACEXML_Char * | qName_
ACEXML_Char * | type_
ACEXML_Char * | value_
## Friends
class | ACEXML_AttributesImpl

## Detailed Description

ACEXML_Attribute defines the data structure of an attribute.

See also:
  ACEXML_AttributesImpl

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Attribute::ACEXML_Attribute | ( | void |  | ) |

| Default constructor.

ACEXML_INLINE ACEXML_Attribute::ACEXML_Attribute | ( | const ACEXML_Attribute & | attr | ) |

| Copy constructor.

ACEXML_INLINE ACEXML_Attribute::ACEXML_Attribute | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | const ACEXML_Char * | type,
|  | const ACEXML_Char * | value
| ) |

| Initialize all constructor.

ACEXML_INLINE ACEXML_Attribute::~ACEXML_Attribute | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACEXML_INLINE void ACEXML_Attribute::localName | ( | const ACEXML_Char * | localName | ) |

| Get localName_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::localName | ( | void |  | ) | const

| Set localName_.

ACEXML_INLINE int ACEXML_Attribute::operator!= | ( | const ACEXML_Attribute & | rhs | ) | const

| Comparison operator.

ACEXML_INLINE ACEXML_Attribute & ACEXML_Attribute::operator= | ( | const ACEXML_Attribute & | rhs | ) |

| Assignment operator.

ACEXML_INLINE void ACEXML_Attribute::qName | ( | const ACEXML_Char * | qName | ) |

| Get qName_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::qName | ( | void |  | ) | const

| Set qName_.

ACEXML_INLINE void ACEXML_Attribute::setAttribute | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | const ACEXML_Char * | type,
|  | const ACEXML_Char * | value
| ) |

| Set all members.

ACEXML_INLINE void ACEXML_Attribute::type | ( | const ACEXML_Char * | type | ) |

| Get type_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::type | ( | void |  | ) | const

| Set type_.

ACEXML_INLINE void ACEXML_Attribute::uri | ( | const ACEXML_Char * | uri | ) |

| Get uri_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::uri | ( | void |  | ) | const

| Set uri_.

ACEXML_INLINE void ACEXML_Attribute::value | ( | const ACEXML_Char * | value | ) |

| Get value_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::value | ( | void |  | ) | const

| Set value_.

## Friends And Related Function Documentation

friend class ACEXML_AttributesImpl`[friend]`

## Member Data Documentation

ACEXML_Char* ACEXML_Attribute::localName_`[private]`

| @var localName_.

ACEXML_Char* ACEXML_Attribute::qName_`[private]`

ACEXML_Char* ACEXML_Attribute::type_`[private]`

ACEXML_Char* ACEXML_Attribute::uri_`[private]`

| @var uri_ Namespace URI of an attribute.

ACEXML_Char* ACEXML_Attribute::value_`[private]`

The documentation for this class was generated from the following files:

- AttributesImpl.h
- AttributesImpl.i